#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libxcb-shape0 preinstallation
#
# Creation   :  2018-05-10 holbru
# Last update:  $Id: preinstall.sh 54795 2018-05-10 19:22:03Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libxcb-shape0

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check libxcb 2.8.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/libxcb-files.txt ]
    then
        sed -i '/libxcb-shape.so/d' /etc/filelist.d/libxcb-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
